Skip to navigation

Update Project

Beta
Update Project.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequired
ID of the Project.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Request

This endpoint expects an object.
archiveReasonstringOptional
archivedbooleanOptional
descriptionstring or nullOptional
hideParentFolderNamesForSharedItemsbooleanOptional
lockSequencesbooleanOptional
namestringOptional
ownerIdstringOptional
publicbooleanOptional

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
collaborationsstring or nullOptionalformat: "uri"
List of access control information for this object.
createdAtstring or nullOptional
descriptionstring or nullOptional
hideParentFolderNamesForSharedItemsbooleanOptional
idstringOptional
isDataModsEnabledboolean or nullOptional
lockSequencesbooleanOptional
modifiedAtstring or nullOptional
namestring or nullOptional
ownerobject or nullOptional
publicbooleanOptional
reviewProcessesstringOptionalformat: "uri"

Review processes (a.k.a. review lifecycles) configured for this project.

Errors

400
Project Update Request Bad Request Error
403
Project Update Request Forbidden Error
404
Project Update Request Not Found Error
409
Project Update Request Conflict Error
429
Project Update Request Too Many Requests Error
500
Project Update Request Internal Server Error